org.minidns.record

## Class NSEC3PARAM

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.NSEC3PARAM

-     public class NSEC3PARAM
      extends Data

  DNS NSEC3PARAM record payload for DNSSEC.
  Contains parameters used for NSEC3 hash calculations including algorithm, iterations, salt, and flags.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `flags`
    `NSEC3.HashAlgorithm` | `hashAlgorithm` The cryptographic hash algorithm used.
    `byte` | `hashAlgorithmByte` The cryptographic hash algorithm used.
    `int` | `iterations` The number of iterations the hash algorithm is applied.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NSEC3PARAM(byte hashAlgorithm, byte flags, int iterations, byte[] salt)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSaltLength()`
    `Record.TYPE` | `getType()` The payload type.
    `static NSEC3PARAM` | `parse(DataInputStream dis)`
    `void` | `serialize(DataOutputStream dos)` The internal method used to serialize Data subclasses.
    `String` | `toString()`

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### flags

          public final byte flags

    - #### hashAlgorithm

          public final NSEC3.HashAlgorithm hashAlgorithm

      The cryptographic hash algorithm used.

    - #### hashAlgorithmByte

          public final byte hashAlgorithmByte

      The cryptographic hash algorithm used.

    - #### iterations

          public final int iterations

      The number of iterations the hash algorithm is applied.

  - ### Constructor Detail

    - #### NSEC3PARAM

          NSEC3PARAM(byte hashAlgorithm,
                     byte flags,
                     int iterations,
                     byte[] salt)

  - ### Method Detail

    - #### getSaltLength

          public int getSaltLength()

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static NSEC3PARAM parse(DataInputStream dis)
                                  throws IOException

      Throws:
        `IOException`

    - #### serialize

          public void serialize(DataOutputStream dos)
                         throws IOException

      Description copied from class: `Data`
      The internal method used to serialize Data subclasses.
      Specified by:
        `serialize` in class `Data`
      Parameters:
        `dos` - the output stream to serialize to.
      Throws:
        `IOException` - if an I/O error occurs.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`